import Flutter
import UIKit
import SSZipArchive
import Alamofire
import SwiftyJSON
import Foundation
import SystemConfiguration
import Foundation
import CryptoSwift


public class SwiftEcpSyncPlugin: NSObject, FlutterPlugin, FlutterStreamHandler {
     
     private var eventSink: FlutterEventSink?
     let notificationName = Notification.Name("plugin_Progress")
     private var argumentsde: [AnyHashable : Any] = [:]
     var dict : Dictionary = Dictionary<String,String>()
     var alamofireManager : Alamofire.SessionManager?
     var zipNameFinal:String = ""
     var returnItems = ["type": "dhaval","Details": "dhaval","progress": "45"]
     
     public override init() {
          let configuration = URLSessionConfiguration.default
          configuration.timeoutIntervalForRequest = 300
          configuration.timeoutIntervalForResource = 300 // seconds
          alamofireManager = Alamofire.SessionManager(configuration: configuration)
     }
     
     public static func register(with registrar: FlutterPluginRegistrar) {
          let channel = FlutterMethodChannel(name: "ecp_sync_plugin", binaryMessenger: registrar.messenger())
          let instance = SwiftEcpSyncPlugin()
          registrar.addMethodCallDelegate(instance, channel: channel)
          
          let chargingChannel = FlutterEventChannel(name: "ecp_sync_plugin_Progress", binaryMessenger: registrar.messenger())
          //chargingChannel.streamHandler = instance
          chargingChannel.setStreamHandler(instance)
     }
     
     let documentsPath = NSURL(fileURLWithPath: NSSearchPathForDirectoriesInDomains(.documentDirectory, .userDomainMask, true)[0])
     
     
     
     public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
          
          if let arguments = call.arguments {
               // argumentsde = arguments as! [AnyHashable : Any]
               dict = arguments as! Dictionary<String,String>
          }
          
          /*'UserName': UserName,
           'fk_EmpGlCode': fk_EmpGlCode,
           'ClientName': ClientName,
           'imei': imei,
           'version': appVersion,
           'uploadMethod': uploadMethod,
           'urlUpload': urlUpload,
           'databaseName': databaseName,
           'packageName': packageName*/
          
          
          
          
          //result("iOS \(String(describing: args))" + UIDevice.current.systemVersion)
          if(call.method == "syncronizeData"){
               
               let UserName : String = dict["UserName"] ?? ""
               let fk_EmpGlCode : String = dict["fk_EmpGlCode"] ?? ""
               let ClientName : String = dict["ClientName"] ?? ""
               let imei : String = dict["imei"] ?? ""
               let version : String = dict["version"] ?? ""
               let uploadMethod : String = dict["uploadMethod"] ?? ""
               let urlUpload : String = dict["urlUpload"] ?? ""
               let databaseName : String = dict["databaseName"] ?? ""
               let packageName : String = dict["packageName"] ?? ""
               
               print("UserName:\(String(describing: UserName))")
               print("fk_EmpGlCode:\(String(describing: fk_EmpGlCode))")
               print("ClientName:\(String(describing: ClientName))")
               print("imei:\(String(describing: imei))")
               print("version:\(String(describing: version))")
               print("uploadMethod:\(String(describing: uploadMethod))")
               print("urlUpload:\(String(describing: urlUpload))")
               print("databaseName:\(String(describing: databaseName))")
               print("packageName:\(String(describing: packageName))")
               //print("\(String(describing:UserName))")
               NotificationCenter.default.post(name: notificationName, object: nil)
               //result("iOS fk_EmpGlCode:\(String(describing: fk_EmpGlCode)) :: UserName:\(String(describing: UserName)) imei:\(String(describing: imei)) version:\(String(describing: version)) uploadMethod:\(String(describing: uploadMethod)) databaseName:\(String(describing: databaseName)) packageName:\(String(describing: packageName))" + UIDevice.current.systemVersion)
               let retval = SyncData(userName: UserName,fk_EmpGlCode: fk_EmpGlCode, ClientName:ClientName, version:version, imei:imei,uploadMethod:uploadMethod,urlUpload:urlUpload,databaseName:databaseName)
               
               result("iOS \(String(describing: retval)) docPath:\(documentsPath) " + UIDevice.current.systemVersion)
          }else if(call.method == "encodeData"){
               let details : String = dict["details"] ?? ""
               let key : String = dict["key"] ?? ""
               let iv : String = dict["iv"] ?? ""
               
               //let key = "B4V2A1C@S#S$F"
               //let iv = "0000000000000000"
               //let s = "Vcs@1234"
               let enc = try! details.aesEncrypt1(key: key, iv: iv)
               print(enc)
               result(enc)
               
               
          }else if(call.method == "decodeData"){
               let details : String = dict["details"] ?? ""
               let key : String = dict["key"] ?? ""
               let iv : String = dict["iv"] ?? ""
               
               do{
                    let dec = try details.aesDecrypt1(key: key, iv: iv)
                    print("dec:\(dec)")
                    print("\(details == dec)")
                    result(dec)
               }catch let error {
                    print("error:\(error)")
                    result("error:\(error)")
               }
               
          }else{
               result("iOS syncronizeData not found" + UIDevice.current.systemVersion)
          }
     }
     
     @objc func onBatteryStateDidChange(_ notification: Notification?) {
          print("onBatteryStateDidChange")
          sendBatteryStateEvent()
     }
     
     func sendBatteryStateEvent() {
          if eventSink == nil {
               print("eventSink nil")
               return
          }
          
          eventSink?(returnItems)
          
     }
     
     public func onListen(withArguments arguments: Any?, eventSink: @escaping FlutterEventSink) -> FlutterError? {
          self.eventSink = eventSink
          //UIDevice.current.isBatteryMonitoringEnabled = true
          //sendBatteryStateEvent()
          NotificationCenter.default.addObserver(self, selector: #selector(onBatteryStateDidChange(_:)), name: notificationName, object: nil)
          return nil
     }
     
     public func onCancel(withArguments arguments: Any?) -> FlutterError? {
          NotificationCenter.default.removeObserver(self)
          eventSink = nil
          return nil
     }
     
     /*func handle(_ call: FlutterMethodCall?, result: FlutterResult) {
      if ("getBatteryLevel" == call?.method) {
      let batteryLevel: Int = getBatteryLevel()
      if batteryLevel == -1 {
      result(FlutterError(code: "UNAVAILABLE", message: "Battery info unavailable", details: nil))
      } else {
      result(batteryLevel)
      }
      } else {
      result(FlutterMethodNotImplemented)
      }
      }*/
     
     /*func getBatteryLevel() -> Int {
      let device = UIDevice.current
      device.isBatteryMonitoringEnabled = true
      if device.batteryState == .unknown {
      return -1
      } else {
      return Int(device.batteryLevel * 100)
      }
      }*/
     
     func SyncData(userName:String,fk_EmpGlCode:String,ClientName:String,version:String,imei:String,uploadMethod:String,urlUpload:String,databaseName:String)->String{
          
          returnItems = ["type": "1","Details": "progress","progress": "\(randomNumber(MIN: 1,MAX: 5))"]
          NotificationCenter.default.post(name: notificationName, object: nil)
          
          var isGoahead:Bool = true
          var isGoaheadMessage:String = ""
          
          let date = Date()
          let calendar = Calendar.current
          
          let year = calendar.component(.year, from: date)
          let month = calendar.component(.month, from: date)
          let day = calendar.component(.day, from: date)
          
          let hour = calendar.component(.hour, from: date)
          let minute = calendar.component(.minute, from: date)
          let second = calendar.component(.second, from: date)
          
          let dirName = "\(day)\(month)\(year)_\(hour)\(minute)\(second)_\(fk_EmpGlCode)_\(databaseName)"
          
          let fileName = "\(day)\(month)\(year)_\(hour)\(minute)\(second)_\(fk_EmpGlCode)_\(databaseName)"
          let zipName = "\(day)\(month)\(year)_\(hour)\(minute)\(second)_\(fk_EmpGlCode)_\(databaseName)"
          self.zipNameFinal = zipName
          // App database path
          let filePathFrom = documentsPath.appendingPathComponent(databaseName)?.path
          let filePathTo = documentsPath.appendingPathComponent("SyncDatabase")?.path
          let filePathTo1 = documentsPath.appendingPathComponent("SyncDatabase/\(databaseName)")?.path
          let filePathTo2 = documentsPath.appendingPathComponent("SyncDatabase/\(fileName)")?.path
          let fileManager = FileManager.default
          
          //createDirSyncDb(documentsPath)
          
          if fileManager.fileExists(atPath: filePathTo!) {
               do {
                    try fileManager.removeItem(atPath: filePathTo!)
               } catch let error as NSError {
                    NSLog("delete directory \(error.debugDescription)")
                    isGoahead = false;
                    isGoaheadMessage = "error:101";
                    
               }
               createDirSyncDb(documentsPath: documentsPath)
          } else {
               createDirSyncDb(documentsPath: documentsPath)
          }
          
          if(isGoahead){
               if fileManager.fileExists(atPath: filePathTo1!) {
                    print("filePathTo1 exist")
               }
               if fileManager.fileExists(atPath: filePathTo2!) {
                    print("filePathTo2 exist")
               }
               let filePathToZip = documentsPath.appendingPathComponent("SyncDatabase/\(zipName).zip")?.path
               
               let newDirectory = documentsPath.appendingPathComponent("SyncDatabase/\(dirName)")?.path
               
               let newDirectory1 = documentsPath.appendingPathComponent("SyncDatabase/\(dirName)/\(fileName)")?.path
               
               do {
                    try fileManager.createDirectory(atPath: newDirectory!, withIntermediateDirectories: false, attributes: nil)
               } catch let error as NSError {
                    print(error.localizedDescription);
                    print("error create newDirectory")
                    print("Ooops! Something went wrong createDirectory: \(error)")
                    isGoahead = false;
                    isGoaheadMessage = "error:103";
               }
               
               //copy from SyncDatabase to document
               if fileManager.fileExists(atPath: filePathFrom!) {
                    do {
                         try fileManager.copyItem(atPath: filePathFrom!, toPath: newDirectory1!)
                    } catch let error as NSError {
                         NSLog("Unable to copy file \(error.debugDescription)")
                         print("Ooops! Something went wrong copyItem: \(error)")
                         isGoahead = false;
                         isGoaheadMessage = "error:103";
                    }
               }
               
               returnItems = ["type": "1","Details": "progress","progress": "\(randomNumber(MIN: 6,MAX: 10))"]
               NotificationCenter.default.post(name: notificationName, object: nil)
               
               if(isGoahead){
                    
                    let success = SSZipArchive.createZipFile(atPath: filePathToZip!, withContentsOfDirectory: newDirectory!)
                    if(success){
                         isGoahead = true
                    }else{
                         isGoahead = false
                         isGoaheadMessage = "Error creating zip"
                    }
                    
                    var fileData: NSData? = nil
                    var fileData1:String  = ""
                    do {
                         /******* HOME *******/
                         
                         var fileSizeValue: UInt64 = 0
                         do {
                              
                              let fileAttribute: [FileAttributeKey : Any] = try FileManager.default.attributesOfItem(atPath: filePathToZip!)
                              
                              if let fileNumberSize: NSNumber = fileAttribute[FileAttributeKey.size] as? NSNumber {
                                   fileSizeValue = UInt64(fileNumberSize)
                                   
                                   let byteCountFormatter = ByteCountFormatter()
                                   byteCountFormatter.allowedUnits = ByteCountFormatter.Units.useKB
                                   print(byteCountFormatter.string(fromByteCount: Int64(fileSizeValue)))
                                   
                              }
                              
                         } catch {
                              print(error.localizedDescription)
                         }
                         
                         try fileData = NSData(contentsOfFile: filePathToZip!, options: NSData.ReadingOptions.mappedIfSafe)
                         
                         fileData1 = fileData!.base64EncodedString(options: NSData.Base64EncodingOptions([]))
                         /*********************/
                         //print(fileData)
                         //print(fileData1)
                    }
                    catch let error as NSError {
                         print("Ooops! Something went wrong renamefile: \(error)")
                         isGoahead = false;
                         isGoaheadMessage = "error:104";
                    }
                    
                    returnItems = ["type": "1","Details": "progress","progress": "\(randomNumber(MIN: 11,MAX: 25))"]
                    NotificationCenter.default.post(name: notificationName, object: nil)
                    
                    if(isGoahead){
                         let web = urlUpload+"/"+uploadMethod
                         print(web)
                         
                         let parameters = [
                              "fk_EmpGLCode": "\(fk_EmpGlCode)",
                              "varClientName": "\(ClientName)",
                              "strAppType": "IOS","strVersion": "\(version)","varIMEINumber": "\(imei)","UserName": "\(userName)","Filename": "\(zipName).zip","FileArray": "\(fileData1)","varAppType":"IOS",
                              ]
                         
                         self.alamofireManager!.request(web, method: .post, parameters: parameters).validate(statusCode: 200..<300)
                              
                              .responseString { response in
                                   print("Success: \(response.result)")
                                   print(response.timeline)
                                   
                                   switch response.result {
                                   case .success(let jsonData):
                                        print("Success with JSON: \(jsonData)")
                                        
                                        /**** comment temp to check file ******/
                                        // delete sync directory
                                        if fileManager.fileExists(atPath: filePathTo!) {
                                             print("FILE AVAILABLE")
                                             //var error: NSError?
                                             do {
                                                  try fileManager.removeItem(atPath: filePathTo!)
                                             } catch let error as NSError {
                                                  NSLog("delete directory \(error.debugDescription)")
                                                  //FIRCrashMessage("delete directory:error:5")
                                             }
                                             
                                             self.createDirSyncDb(documentsPath: self.documentsPath)
                                             //createDirectory(documentsPath: documentsPath)
                                        }
                                        
                                        
                                        print(jsonData)
                                        do{
                                             self.returnItems = ["type": "1","Details": "progress","progress": "\(self.randomNumber(MIN: 26,MAX: 40))"]
                                             NotificationCenter.default.post(name: self.notificationName, object: nil)
                                             
                                             let data: NSData = jsonData.data(using: String.Encoding.utf8)! as NSData
                                             
                                             let json = try JSONSerialization.jsonObject(with: data as Data, options: []) as? [String : Any]
                                             
                                             let anyObj = JSON(json)
                                             
                                             
                                             print("**********************")
                                             print("*******SYNC RESPONSE********")
                                             print("**********************")
                                             print(anyObj)
                                             print("**********************")
                                             print("**********************")
                                             print("**********************")
                                             
                                             var isValid:String = ""
                                             var Message:String = ""
                                             
                                             if anyObj["Status"].exists(){
                                                  
                                                  print("inside Status")
                                                  
                                                  let list: Array<JSON> = anyObj["Status"].arrayValue
                                                  
                                                  isValid = list[0]["isValid"].stringValue
                                                  Message = list[0]["Message"].stringValue
                                             }
                                             if(isValid.lowercased() == "true"){
                                                  self.returnItems = ["type": "1","Details": "progress","progress": "\(self.randomNumber(MIN: 41,MAX: 45))"]
                                                  NotificationCenter.default.post(name: self.notificationName, object: nil)
                                                  if (self.isConnectedToNetwork() == true ){
                                                       self.downloadFile(urlStr: Message,zipFileName: "\(zipName).zip",databaseName: databaseName)
                                                  }else{
                                                       isGoaheadMessage = "NO_INTERNET"
                                                       self.returnItems = ["type": "2","Details": "\(isGoaheadMessage)","progress": "0"]
                                                       NotificationCenter.default.post(name: self.notificationName, object: nil)
                                                  }
                                             }else{
                                                  
                                                  
                                                  isGoaheadMessage = "server error:!, please try again";
                                                  self.returnItems = ["type": "2","Details": "\(isGoaheadMessage)","progress": "0"]
                                                  NotificationCenter.default.post(name: self.notificationName, object: nil)
                                                  
                                             }
                                        }catch{
                                             isGoaheadMessage = "server error:@, please try again";
                                             self.returnItems = ["type": "2","Details": "\(isGoaheadMessage)","progress": "0"]
                                             NotificationCenter.default.post(name: self.notificationName, object: nil)
                                        }
                                        
                                        
                                        
                                   case .failure(let error):
                                        print("Request failed with error: \(error)")
                                        
                                        let message = "# Oops something went wrong, please try again"
                                        isGoaheadMessage = message;
                                        self.returnItems = ["type": "2","Details": "\(isGoaheadMessage)","progress": "0"]
                                        NotificationCenter.default.post(name: self.notificationName, object: nil)
                                   }
                         }
                         
                         return isGoaheadMessage
                         
                    }else{
                         returnItems = ["type": "2","Details": "\(isGoaheadMessage)","progress": "0"]
                         NotificationCenter.default.post(name: notificationName, object: nil)
                         return isGoaheadMessage
                    }
               }else{
                    returnItems = ["type": "2","Details": "\(isGoaheadMessage)","progress": "0"]
                    NotificationCenter.default.post(name: notificationName, object: nil)
                    return isGoaheadMessage
               }
          }else{
               returnItems = ["type": "2","Details": "\(isGoaheadMessage)","progress": "0"]
               NotificationCenter.default.post(name: notificationName, object: nil)
               return isGoaheadMessage
          }
          
          
     }
     
     func downloadFile(urlStr:String, zipFileName:String,databaseName:String){
          
          //print("downloadFile path :: \(urlStr)")
          //print("downloadFile name :: \(zipFileName)")
          
          let dateFormatter = DateFormatter()
          dateFormatter.dateFormat = "HH:mm:ss"
          
          //let diff = self.getDiffTime(time2: Date())
          //self.data_createJson.setValue("\(diff)", forKey: "6_UPLOAD_END")
          
          //let diff1 = self.getDiffTime(time2: Date())
          //self.data_createJson.setValue("\(diff1)", forKey: "8_DOWNLOAD_START")
          
          let destination: DownloadRequest.DownloadFileDestination = { _, _ in
               let documentsURL = FileManager.default.urls(for: .documentDirectory, in: .userDomainMask)[0]
               let fileURL = documentsURL.appendingPathComponent("SyncDatabase/Download/\(zipFileName)")
               
               return (fileURL, [.removePreviousFile, .createIntermediateDirectories])
          }
          
          Alamofire.download(urlStr, to: destination).response { response in
               print(response)
               
               if response.error == nil, let imagePath = response.destinationURL?.path {
                    //let image = UIImage(contentsOfFile: imagePath)
                    
                    print(imagePath)
                    //end - diff
                    //let dateFormatter = DateFormatter()
                    //dateFormatter.dateFormat = "HH:mm:ss"
                    //let diff = self.getDiffTime(time2: Date())
                    //self.data_createJson.setValue("\(diff)", forKey: "9_DOWNLOAD_END")
                    
                    self.returnItems = ["type": "1","Details": "progress","progress": "\(self.randomNumber(MIN: 46,MAX: 60))"]
                    NotificationCenter.default.post(name: self.notificationName, object: nil)
                    
                    var fileSizeValue: UInt64 = 0
                    
                    
                    
                    do {
                         
                         let fileAttribute: [FileAttributeKey : Any] = try FileManager.default.attributesOfItem(atPath: imagePath)
                         
                         if let fileNumberSize: NSNumber = fileAttribute[FileAttributeKey.size] as? NSNumber {
                              fileSizeValue = UInt64(fileNumberSize)
                              
                              //let byteCountFormatter = ByteCountFormatter()
                              //byteCountFormatter.allowedUnits = ByteCountFormatter.Units.useKB
                              //print(byteCountFormatter.string(fromByteCount: Int64(fileSizeValue)))
                              
                              //self.data_createJson.setValue("\(byteCountFormatter.string(fromByteCount: Int64(fileSizeValue)))", forKey: "9_DOWNLOAD_FILE_SIZE")
                         }
                         
                    } catch {
                         print(error.localizedDescription)
                    }
                    
                    
                    self.unzipDirectory(unZipFile: zipFileName,databaseName: databaseName)
                    
               }else{
                    
               }
               
          }
     }
     
     func unzipDirectory(unZipFile:String,databaseName:String){
          // unzip & copy
          
          self.returnItems = ["type": "1","Details": "progress","progress": "\(self.randomNumber(MIN: 61,MAX: 74))"]
          NotificationCenter.default.post(name: self.notificationName, object: nil)
          
          let fileManager = FileManager.default
          
          let documentsPath = NSURL(fileURLWithPath: NSSearchPathForDirectoriesInDomains(.documentDirectory, .userDomainMask, true)[0])
          let filePathToZip = documentsPath.appendingPathComponent("SyncDatabase/Download/\(unZipFile)")?.path
          let filePathfromZip = documentsPath.appendingPathComponent("SyncDatabase")?.path
          let oldDBName = documentsPath.appendingPathComponent("SyncDatabase/\(zipNameFinal).db")?.path
          let newDBName = documentsPath.appendingPathComponent("SyncDatabase/\(databaseName)")?.path
          
          let documentDBName = documentsPath.appendingPathComponent("\(databaseName)")?.path
          
          print("********************")
          //print(filePathToZip)
          //print(filePathfromZip)
          //print(oldDBName)
          //print(newDBName)
          print("********************")
          
          
          //print("1 --> \(filePathToZip)")
          // print("2 --> \(filePathfromZip)")
          var fileUnZip:Bool = false
          
          let s:Bool =  SSZipArchive.unzipFile(atPath: filePathToZip!, toDestination: filePathfromZip!)
          if(s){
               fileUnZip = true
               print("unzip zip file")
          }else{
               fileUnZip = false
               print("not unzip zip file")
          }
          
          self.returnItems = ["type": "1","Details": "progress","progress": "\(self.randomNumber(MIN: 75,MAX: 84))"]
          NotificationCenter.default.post(name: self.notificationName, object: nil)
          
          if(fileUnZip){
               // rename file
               //print("3 --> \(oldDBName)")
               //print("4 --> \(newDBName)")
               
               if fileManager.fileExists(atPath: oldDBName!) {
                    
                    do {
                         try fileManager.moveItem(atPath: oldDBName!, toPath: newDBName!)
                    }
                    catch let error as NSError {
                         print("Ooops! Something went wrong renamefile: \(error)")
                         //self.data_createJson.setValue("error", forKey: "RESTORE_DB_END_FAIL_10")
                    }
               }
               
               if fileManager.fileExists(atPath: documentDBName!) {
                    do {
                         try fileManager.removeItem(atPath: documentDBName!)
                    } catch let error as NSError {
                         print("error delete file \(error.debugDescription)")
                         //self.data_createJson.setValue("error", forKey: "RESTORE_DB_END_FAIL_10")
                    }
               }
               
               //print("5 --> \(newDBName)")
               //print("6 --> \(documentDBName)")
               
               //copy from SyncDatabase to document
               
               if fileManager.fileExists(atPath: newDBName!) {
                    do {
                         //restor starts
                         let dateFormatter = DateFormatter()
                         dateFormatter.dateFormat = "HH:mm:ss"
                         
                         //let diff = self.getDiffTime(time2: Date())
                         
                         
                         //self.data_createJson.setValue("\(diff)", forKey: "10_RESTORE_DB_START")
                         
                         
                         try fileManager.copyItem(atPath: newDBName!, toPath: documentDBName!)
                    } catch let error as NSError {
                         NSLog("Unable to copy file \(error.debugDescription)")
                         //self.data_createJson.setValue("error)", forKey: "10_RESTORE_DB_END_FAIL")
                         
                    }
               }
               
               let filePathTo = documentsPath.appendingPathComponent("SyncDatabase")?.path
               // delete sync directory
               if fileManager.fileExists(atPath: filePathTo!) {
                    print("FILE AVAILABLE")
                    //var error: NSError?
                    do {
                         try fileManager.removeItem(atPath: filePathTo!)
                    } catch let error as NSError {
                         NSLog("delete directory \(error.debugDescription)")
                         //self.data_createJson.setValue("error", forKey: "10_RESTORE_DB_END_FAIL")
                         
                    }
                    
                    //self.createDirectory(documentsPath)
               }
               
               
               self.returnItems = ["type": "1","Details": "progress","progress": "\(self.randomNumber(MIN: 85,MAX: 97))"]
               NotificationCenter.default.post(name: self.notificationName, object: nil)
               
               
               //dispatch_async(dispatch_get_main_queue()) {
               
               //self.currentDateDB = ECP_Constant.checkFlagLableMaser("SYNCDATE");
               
               //self.isAllowCheck = ECP_Constant.checkFlagLableMaserBool("CheckReviewOnVisit");
               
               
               
               /*let date = Date()
                let calendar = Calendar.current
                
                let year = calendar.component(.year, from: date)
                let month = calendar.component(.month, from: date)
                let day = calendar.component(.day, from: date)
                
                let hour = calendar.component(.hour, from: date)
                let minute = calendar.component(.minute, from: date)
                let second = calendar.component(.second, from: date)
                
                self.isallowflag = self.checkDate(isFirst: false)
                
                let defaults = UserDefaults.standard
                defaults.set(NSDate(), forKey: ECP_Constant.VAR_LAST_SYNC_TIME_DATE);*/
               
               //ECP_Constant.IS_VALID_LOGIN)
               
               /* var i:Int = 0
                while (i<10000) {
                i = i + 1
                }*/
               
               
               
               //end
               // let dateFormatter = DateFormatter()
               // dateFormatter.dateFormat = "HH:mm:ss"
               
               //let diff = self.getDiffTime(time2: Date())
               
               //self.data_createJson.setValue("\(diff)", forKey: "11_RESTORE_DB_END")
               
               //let diff2 = self.getEndTimeDiff(time2: timeStart)
               //self.data_createJson.setValue("\(diff2)", forKey: "12_END")
               returnItems = ["type": "3","Details": "Sync Successfully Done","progress": "100"]
               NotificationCenter.default.post(name: notificationName, object: nil)
               //self.MessageLastSync(msg: "Sync Successfully Done")
               //let varLastSyncTime:String = "\(day)/\(month)/\(year) \(hour):\(DBAdapter.addZero(value: minute)):\(second)"
               //let defaults = NSUserDefaults.standardUserDefaults()
               //defaults.setValue(varLastSyncTime, forKey: ECP_Constant.VAR_LAST_SYNC_TIME)
               //self.setSyncTime()
               //self.getModuleList()
               //}
          }else{
               //dispatch_async(dispatch_get_main_queue()) {
               //self.showAlertMessageSync(messageM: "Ooops! Something went wrong")
               //}
               
               returnItems = ["type": "2","Details": "Ooops! Something went wrong","progress": "0"]
               NotificationCenter.default.post(name: notificationName, object: nil)
          }
     }
     
     func randomNumber(MIN: Int, MAX: Int)-> Int{
          return Int(arc4random_uniform(UInt32(MAX-MIN)) + UInt32(MIN));
     }
     
     func createDirSyncDb(documentsPath:NSURL){
          let logsPath = documentsPath.appendingPathComponent("SyncDatabase")
          do {
               try FileManager.default.createDirectory(atPath: logsPath!.path, withIntermediateDirectories: true, attributes: nil)
          } catch let error as NSError {
               NSLog("Unable to create directory \(error.debugDescription)")
          }
     }
     
     func isConnectedToNetwork() -> Bool {
          
          var zeroAddress = sockaddr_in(sin_len: 0, sin_family: 0, sin_port: 0, sin_addr: in_addr(s_addr: 0), sin_zero: (0, 0, 0, 0, 0, 0, 0, 0))
          zeroAddress.sin_len = UInt8(MemoryLayout.size(ofValue: zeroAddress))
          zeroAddress.sin_family = sa_family_t(AF_INET)
          
          let defaultRouteReachability = withUnsafePointer(to: &zeroAddress) {
               $0.withMemoryRebound(to: sockaddr.self, capacity: 1) {zeroSockAddress in
                    SCNetworkReachabilityCreateWithAddress(nil, zeroSockAddress)
               }
          }
          
          var flags: SCNetworkReachabilityFlags = SCNetworkReachabilityFlags(rawValue: 0)
          if SCNetworkReachabilityGetFlags(defaultRouteReachability!, &flags) == false {
               return false
          }
          
          /* Only Working for WIFI
           let isReachable = flags == .reachable
           let needsConnection = flags == .connectionRequired
           
           return isReachable && !needsConnection
           */
          
          // Working for Cellular and WIFI
          let isReachable = (flags.rawValue & UInt32(kSCNetworkFlagsReachable)) != 0
          let needsConnection = (flags.rawValue & UInt32(kSCNetworkFlagsConnectionRequired)) != 0
          let ret = (isReachable && !needsConnection)
          
          return ret
          
     }
}

extension String {
     func aesEncrypt(key: String, iv: String) throws -> String{
          //let data = self.dataUsingEncoding(NSUTF8StringEncoding)
          let data1 = self.data(using: .utf8)
          let enc = try AES(key: key, iv: iv, blockMode:.CBC,padding: .pkcs7).encrypt(data1!.bytes)
          let encData = NSData(bytes: enc, length: Int(enc.count))
          let base64String: String = encData.base64EncodedString(options: NSData.Base64EncodingOptions(rawValue: 0));
          let result = String(base64String)
          return result
     }
     
     func aesDecrypt(key: String, iv: String) throws -> String {
          // let data1 = NSData(base64Encoded: self.data(using: .utf8)!, options: NSData.Base64DecodingOptions(rawValue: 0))
          let data1 = Data(base64Encoded: self)!
          let dec = try AES(key: key, iv: iv, blockMode:.CBC).decrypt(Array(data1))
          let decData = NSData(bytes: dec, length: Int(dec.count))
          let result = NSString(data: decData as Data, encoding: String.Encoding.utf8.rawValue)
          return String(result!)
     }
}

extension String {
     /*func aesEncrypt(key: String, iv: String) throws -> String{
          //let data = self.dataUsingEncoding(NSUTF8StringEncoding)
          let data1 = self.data(using: .utf8)
          let enc = try AES(key: key, iv: iv, blockMode:.CBC,padding: .pkcs7).encrypt(data1!.bytes)
          let encData = NSData(bytes: enc, length: Int(enc.count))
          let base64String: String = encData.base64EncodedString(options: NSData.Base64EncodingOptions(rawValue: 0));
          let result = String(base64String)
          return result
     }
     
     func aesDecrypt(key: String, iv: String) throws -> String {
          //let data1 = NSData(base64Encoded: self, options: NSData.Base64DecodingOptions(rawValue: 0))
          let data1 = Data(base64Encoded: self)!
          let dec = try AES(key: key, iv: iv, blockMode:.CBC,padding: .pkcs7).decrypt(Array(data1))
          let decData = NSData(bytes: dec, length: Int(dec.count))
          let result = NSString(data: decData as Data, encoding: String.Encoding.utf8.rawValue)
          //let result = String(bytes: Data(decData).bytes, encoding: .utf8)
          print(decData)
          //let result =  String(data: decData as Data, encoding: String.Encoding.utf8.rawValue)
          return String(result!)
     }*/
     
    /* let key = "B4V2A1C@S#S$F"
     let iv = "0000000000000000"
     let s = "Vcs@1234"
     let enc = try! s.aesEncrypt1(key: key, iv: iv)
     print(enc)
     
     do{
     let dec = try enc.aesDecrypt1(key: key, iv: iv)
     print("dec:\(dec)")
     print("\(s == dec)")
     
     }catch let error {
          print("error:\(error)")
     }*/
     
     func aesEncrypt1(key: String, iv: String) throws -> String {
          
          
          let pwdBytes = [UInt8](key.utf8)
          var keyBytes: [UInt8] = Array(arrayLiteral: 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
          var len = pwdBytes.count
          if(len > keyBytes.count){
               len = keyBytes.count
               //keyBytes = NSArray(array:b, copyItems: true) as! [UInt8]
          }
          
          var i:Int = 0
          while(i < len){
               keyBytes[i] = pwdBytes[i]
               i = i + 1
          }
          
          let key1 = keyBytes
          let iv1 = keyBytes
          
          let encrypted = try AES(key: key1, iv: iv1, blockMode:.CBC, padding: .pkcs5).encrypt([UInt8](self.data(using: .utf8)!))
          return Data(encrypted).base64EncodedString()
     }
     
     func aesDecrypt1(key: String, iv: String) throws -> String {
          
          let pwdBytes = [UInt8](key.utf8)
          var keyBytes: [UInt8] = Array(arrayLiteral: 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
          var len = pwdBytes.count
          if(len > keyBytes.count){
               len = keyBytes.count
               //keyBytes = NSArray(array:b, copyItems: true) as! [UInt8]
          }
          
          var i:Int = 0
          while(i < len){
               keyBytes[i] = pwdBytes[i]
               i = i + 1
          }
          
          let key1 = keyBytes
          let iv1 = keyBytes
          
          guard let data = Data(base64Encoded: self) else { return "" }
          let decrypted = try AES(key: key1, iv: iv1, blockMode:.CBC, padding: .pkcs5).decrypt([UInt8](data))
          return String(bytes: Data(decrypted).bytes, encoding: .utf8) ?? "Could not decrypt"
     }
}
