import 'package:flutter/material.dart';
import 'dart:async';
import 'dart:io';
import 'package:progress_hud/progress_hud.dart';
import 'package:ecp_sync_plugin_example/Database/DBAdapter.dart';
import 'package:path/path.dart';
import 'package:sqflite/sqflite.dart';
import 'package:path_provider/path_provider.dart';
import 'dart:typed_data';
import 'package:simple_permissions/simple_permissions.dart';
import 'package:flutter/services.dart';
import 'package:ecp_sync_plugin/ecp_sync_plugin.dart';
import 'dart:ui';
import 'package:package_info/package_info.dart';

class ECPSyncronization extends StatefulWidget {
  @override
  _EcpSyncState createState() => new _EcpSyncState();
}

class _EcpSyncState extends State<ECPSyncronization> {
  ProgressHUD _progressHUD;
  static const platform = const MethodChannel('samples.flutter.io/battery');

  bool _loading = true;

  //Future<Directory> _externalDocumentsDirectory;
  String _platformVersion = 'Unknown';
  String packageName = 'Unknown';
  Permission permission;

  //String _batteryLevel = 'Unknown battery level.';

  EcpSyncPlugin _battery = EcpSyncPlugin();
  BuildContext _context;
  String _batteryState = "Start Sync";
  StreamSubscription<Map> _batteryStateSubscription;

  @override
  void initState() {
    super.initState();
    _batteryStateSubscription =
        _battery.onBatteryStateChanged.listen((Map state) {
      setState(() {
        print("broadCast:$_batteryState");
        print(state.toString());
        /*parameterPost.put("type", String.valueOf(type));
        parameterPost.put("progress", String.valueOf(progress));
        parameterPost.put("Details", Details);*/
        print(state.toString());
        print(state['type']);
        print(state['Details']);
        _batteryState = state['progress'];
      });
    });

    PackageInfo.fromPlatform().then((PackageInfo packageInfo) {
      //String appName = packageInfo.appName;
      packageName = packageInfo.packageName;
      //String version = packageInfo.version;
      //String buildNumber = packageInfo.buildNumber;
    });

    //initPlatformState();
    _progressHUD = new ProgressHUD(
      backgroundColor: Colors.black12,
      color: Colors.white,
      containerColor: Colors.blue,
      borderRadius: 5.0,
      text: 'Loading...',
    );

    //_getBatteryLevel();
  }

  @override
  void dispose() {
    super.dispose();
    if (_batteryStateSubscription != null) {
      _batteryStateSubscription.cancel();
    }
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      platformVersion = await EcpSyncPlugin().syncronizeData(
          UserName: "E00017",
          fk_EmpGlCode: "729",
          urlUpload:
              "https://service84.ecubix.com/ECPMobileWebService_Ver570/ecpMobileToWebSync.asmx",
          imei: "imei",
          appVersion: "5.7.0",
          uploadMethod: "SynchroniseDatabase",
          ClientName: "VCS_CQA",
          databaseName: "ecp_mobile_flutter.db",
          packageName: packageName);
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      print("sync response: $platformVersion");
      _platformVersion = platformVersion;
    });
  }

  /*Future<void> _getBatteryLevel() async {
    setState(() {
      _loading = true;
    });

    String batteryLevel;
    try {
      //final int result = await platform.invokeMethod('getBatteryLevel');
      final int result = await platform.invokeMethod('getSyncronizeDatabase', {
        'UserName': 'E00017',
        'urlUpload':
            'https://service84.ecubix.com/ECPMobileWebService_Ver570/ecpMobileToWebSync.asmx',
        'fk_EmpGlCode': '729',
        'ClientName': 'VCS_CQA',
        'imei': '353490062185257',
        'version': '5.7.0',
        'uploadMethod': 'SynchroniseDatabase'
      });
      batteryLevel = 'Battery level at $result % .';
    } on PlatformException catch (e) {
      batteryLevel = "Failed to get battery level: '${e.message}'.";
    }

    setState(() {
      _batteryLevel = batteryLevel;
      print(_batteryLevel);
    });
  }*/

  void _alarmManagerCallbackDispatcher() {
    platform.setMethodCallHandler((MethodCall call) async {
      final dynamic args = call.arguments;
      final CallbackHandle handle = CallbackHandle.fromRawHandle(args[0]);

      final Function closure = PluginUtilities.getCallbackFromHandle(handle);

      if (closure == null) {
        print('Fatal: could not find callback');
        exit(-1);
      }
      closure();
    });
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  /*initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      platformVersion = await SimplePermissions.platformVersion;
    } on Exception {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }*/

  void copyFiles() async {
    //DBAdapter dbAdapter = DBAdapter.get();
    //var databasesPath = await getDatabasesPath();
    //debugPrint(databasesPath);
    //debugPrint(_localPath as String);
    /*var result = checkPermission();

    result.foreach(b => if(b) println("The result is TRUE"));
if(checkPermission()) {
  Directory documentsDirectory = await getApplicationDocumentsDirectory();
  String path = join(documentsDirectory.path, "ecp_mobile_flutter.db");
  debugPrint(path);
  //final path = await path;
  final file = File('$path');
  List<int> bytes = await file.readAsBytes();
  final file1 = File('$_localFileDocument');
  await new File(file1.path).writeAsBytes(bytes);
}*/

    //var path = join(databasesPath, "ecp_mobile_flutter.db");

    // Copy from asset
    /*ByteData data = await rootBundle.load(join("assets", "example.db"));
    List<int> bytes =
        data.buffer.asUint8List(data.offsetInBytes, data.lengthInBytes);
    await new File(path).writeAsBytes(bytes);*/
  }

  Future<bool> checkPermission() async {
    bool res = await SimplePermissions.checkPermission(permission);
    print("permission is " + res.toString());
    return res;
  }

  /*void _requestExternalStorageDirectory() {
    setState(() {
      _externalDocumentsDirectory = getExternalStorageDirectory();
    });
  }*/

  Future<String> get _localPath async {
    final directory = await getApplicationDocumentsDirectory();

    return directory.path;
  }

  Future<File> get _localFileDocument async {
    final path = await _localPath;
    return File('$path/ecp_mobile_flutter.db');
  }

  @override
  Widget build(BuildContext context) {
    void dismissProgressHUD() {
      setState(() {
        if (_loading) {
          _progressHUD.state.dismiss();
        } else {
          _progressHUD.state.show();
        }

        _loading = !_loading;
      });
    }

    return new Scaffold(
        appBar: new AppBar(
          title: new Text('Sync'),
        ),
        body: new Stack(
          children: <Widget>[
            new Text(_batteryState),
            _progressHUD,
            new Positioned(
                child: new FlatButton(
                    onPressed: () {
                      dismissProgressHUD();
                      //copyFiles();
                      initPlatformState();
                    },
                    child: new Text(_loading ? "Dismiss" : "Show")),
                bottom: 30.0,
                right: 10.0)
          ],
        ));
  }
}
