import 'dart:async';
import 'dart:io';
import 'dart:convert';
import 'package:flutter/material.dart';
import 'package:http/http.dart' as http;
import 'package:flutter/foundation.dart'; // logs
//import 'package:flutter_app/model/loginpost.dart';
//import 'package:flutter_app/model/Login.dart';
import 'package:ecp_sync_plugin_example/models/Login.dart';
import 'package:ecp_sync_plugin_example/models/Label_Mst.dart';
import 'package:ecp_sync_plugin_example/ECPSyncronization.dart';
import 'package:ecp_sync_plugin_example/models/LabelList.dart';
import 'package:ecp_sync_plugin_example/models/LoginList.dart';
import 'package:ecp_sync_plugin_example/models/VisitDateSettingList.dart';
import 'package:ecp_sync_plugin_example/Database/DBAdapter.dart';
import 'package:modal_progress_hud/modal_progress_hud.dart';
import 'package:device_info/device_info.dart';

class LoginTwoPage extends StatefulWidget {
  @override
  _SettingsPageState createState() => new _SettingsPageState();
}

class _SettingsPageState extends State<LoginTwoPage> {
  //ProgressHUD _progressHUD;

  bool _loading = false;

  TextEditingController myController1 = TextEditingController();
  TextEditingController myController2 = TextEditingController();
  TextEditingController myController3 = TextEditingController();

  /*@override
  void initState() {
    super.initState();
    _progressHUD = new ProgressHUD(
      backgroundColor: Colors.black12,
      color: Colors.white,
      containerColor: Colors.blueGrey,
      borderRadius: 5.0,
      text: 'Loading...',
    );
  }*/

  @override
  void dispose() {
    // Clean up the controller when the Widget is disposed
    myController1.dispose();
    myController2.dispose();
    myController3.dispose();
    super.dispose();
  }

  void dismissProgressHUD() {
    setState(() {
      _loading = !_loading;
    });
  }

  void _showDialog(String details) {
    // flutter defined function
    showDialog(
      context: context,
      builder: (BuildContext context) {
        // return object of type Dialog
        return AlertDialog(
          title: new Text("Alert Dialog title"),
          content: new Text(details),
          actions: <Widget>[
            // usually buttons at the bottom of the dialog
            new FlatButton(
              child: new Text("Close"),
              onPressed: () {
                Navigator.of(context).pop();
              },
            ),
          ],
        );
      },
    );
  }

  @override
  Widget build(BuildContext context) {
    myController1.text = "E00017";
    myController2.text = "Vcs99999";
    myController3.text = "9737020551";

    return Scaffold(
        backgroundColor: Colors.white,
        body: Center(
          child: ModalProgressHUD(child: _buildWidget(), inAsyncCall: _loading),
        )
        //body: ModalProgressHUD(child: _buildWidget(), inAsyncCall: _loading),
        );
  }

  Widget _buildWidget() {
    return loginBody();
  }

  loginBody() => SingleChildScrollView(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceAround,
          //children: <Widget>[progress()],
          children: <Widget>[loginHeader(), loginFields()],
        ),
      );

  loginHeader() => Column(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: <Widget>[
          FlutterLogo(
            colors: Colors.blueGrey,
            size: 80.0,
          ),
          SizedBox(
            height: 30.0,
          ),
          Text(
            "Welcome to ECP",
            style:
                TextStyle(fontWeight: FontWeight.w700, color: Colors.blueGrey),
          ),
          SizedBox(
            height: 5.0,
          ),
          Text(
            "Sign in to continue",
            style: TextStyle(color: Colors.grey),
          ),
        ],
      );

  loginFields() => Container(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceAround,
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Container(
              padding: EdgeInsets.symmetric(vertical: 16.0, horizontal: 30.0),
              child: TextField(
                controller: myController1,
                onChanged: (String text) {
                  myController1.text = text;
                },
                //initialValue: "E00017",
                maxLines: 1,
                //controller: myController1,
                decoration: InputDecoration(
                  hintText: "Enter your username",
                  labelText: "Username",
                ),
              ),
            ),
            Container(
              padding: EdgeInsets.symmetric(vertical: 0.0, horizontal: 30.0),
              child: TextField(
                //initialValue: "Vcs99999",
                controller: myController2,
                onChanged: (String text) {
                  myController2.text = text;
                },
                maxLines: 1,
                //controller: myController2,
                obscureText: true,
                decoration: InputDecoration(
                  hintText: "Enter your password",
                  labelText: "Password",
                ),
              ),
            ),
            Container(
              padding: EdgeInsets.symmetric(vertical: 0.0, horizontal: 30.0),
              child: TextField(
                //initialValue: "9737020551",
                controller: myController3,
                onChanged: (String text) {
                  myController3.text = text;
                },
                maxLines: 1,
                obscureText: false,
                //controller: myController3,
                keyboardType: TextInputType.number,
                decoration: InputDecoration(
                  hintText: "Enter your Mobile",
                  labelText: "Mobile",
                ),
              ),
            ),
            SizedBox(
              height: 30.0,
            ),
            Container(
              padding: EdgeInsets.symmetric(vertical: 0.0, horizontal: 30.0),
              width: double.infinity,
              child: RaisedButton(
                padding: EdgeInsets.all(12.0),
                shape: StadiumBorder(),
                child: Text(
                  "SIGN IN",
                  style: TextStyle(color: Colors.white),
                ),
                color: Colors.blueGrey,
                onPressed: () {
                  dismissProgressHUD();
                  fetchPost();
                },
              ),
            ),
            SizedBox(
              height: 5.0,
            ),
            Text(
              "SIGN UP FOR AN ACCOUNT",
              style: TextStyle(color: Colors.grey),
            ),
          ],
        ),
      );

  Future fetchPost() async {
    //_SettingsPageState().dismissProgressHUD();

    //_progressHUD.state.show();

    DBAdapter dbAdapter = DBAdapter.get();

    //final response =
    //await http.get('https://service84.ecubix.com/ECPMobileWebService_Ver560/ecpMobileToWebSync.asmx/IsValidLoginForecpMobileDrActivity?'
    //  'varUserId=E00017&varPassword=Vcs99999&varMobileNumber=9737020551&varIMEInumber=353490062185257&varDeviceDetail=test&varVersion=5.6.0&varAppType=ANDROID');
    //List<Login> resItems = List();

    Map data = {
      'varUserId': 'E00017',
      'varPassword': 'Vcs99999',
      'varMobileNumber': '9737020551',
      'varIMEInumber': '353490062185257',
      'varDeviceDetail': 'test',
      'varVersion': '5.6.0',
      'varAppType': 'ANDROID'
    };

    debugPrint('here 1');

    DeviceInfoPlugin deviceInfo = DeviceInfoPlugin();
    String deviceId = "";
    try {
      if (Platform.isAndroid) {
        AndroidDeviceInfo androidInfo = await deviceInfo.androidInfo;
        print('Running on Android:${androidInfo.androidId}');
        deviceId = androidInfo.androidId;
      } else if (Platform.isIOS) {
        IosDeviceInfo iosInfo = await deviceInfo.iosInfo;
        print('Running on IOS: ${iosInfo.identifierForVendor}');
        deviceId = iosInfo.identifierForVendor;
      }
    } on Exception {
      print('Failed to get platform version');
    }

    var response = await http.post(
        'https://service84.ecubix.com/ECPMobileWebService_Ver560/ecpMobileToWebSync.asmx/IsValidLoginForecpMobileDrActivity',
        headers: {
          "Accept": "application/json",
          "Content-Type": "application/x-www-form-urlencoded"
        },
        body: data,
        encoding: Encoding.getByName("utf-8"));

    debugPrint('here 2');
    debugPrint(myController1.text);

    if (response.statusCode == 200) {
      Map userMap = json.decode(response.body);
      var details1 = userMap['Login'];
      LoginList loginItems = LoginList.fromJson(details1);

      if (loginItems != null && loginItems.photos != null) {
        bool isGoahed = false;
        for (var items in loginItems.photos) {
          if (items.IsAuthorised == "Y") {
            isGoahed = true;
            break;
          }
        }

        if (isGoahed) {
          var loginCount = dbAdapter.getCountLogin();

          loginCount
              .then(
                  (value) => handleValues(value, dbAdapter, userMap, deviceId))
              .catchError((error) => debugPrint(error.toString()));
        } else {
          dismissProgressHUD();
          _showDialog("Please try again");
        }

        //_SettingsPageState().dismissProgressHUD();
      } else {
        debugPrint('not found array size');
      }
    } else {
      debugPrint('error wile ');
      // If that call was not successful, throw an error.
      throw Exception('Failed to load post');
    }
  }

  void handleValues(
      bool isValue, DBAdapter dbAdapter, Map userMap, String deviceId) {
    var details1 = userMap['Login'];
    LoginList loginItems = LoginList.fromJson(details1);

    for (var items11 in loginItems.photos) {
      if (isValue) {
        debugPrint("update login details");
        dbAdapter.updateLoginPassword(items11, myController2.text, 1);
      } else {
        debugPrint("insert login details");
        dbAdapter.insertLogin(items11, myController1.text, myController2.text,
            myController3.text, deviceId);
      }
    }

    var details = userMap['Label_Mst'];
    var details2 = userMap['Visit_Date_Setting'];
    LabelList labelItems = LabelList.fromJson(details);
    VisitDateSettingList visitDetails = VisitDateSettingList.fromJson(details2);

    //var items = labelItems.photos as List;
    dbAdapter.clearLabelMst();
    for (var items in labelItems.photos) {
      print(items.varDisplayName);
      dbAdapter.insertLabelMst(items);
    }

    dbAdapter.clearVisitDateSetting();
    for (var items in visitDetails.photos) {
      dbAdapter.insertVisitDateSetting(items);
    }

    dismissProgressHUD();
    //_showDialog("Login sucess");
    Navigator.push(
      context,
      MaterialPageRoute(builder: (context) => ECPSyncronization()),
    );
  }
}

// A function that will convert a response body into a List<Photo>
/*List<Login> parsePhotos(String responseBody) {
  final parsed = json.decode(responseBody).cast<Map<String, dynamic>>();

  return parsed.map<Login>((json) => Login.fromJson(json)).toList();
}*/

//ANDROID_SDK=/Users/VCS/Library/Android/sdk redex --sign /Users/VCS/Downloads/rexDex/ECP_in/ecp_development-release_7zip_aligned_signed.apk -o /Users/VCS/Downloads/rexDex/ECP_out/ecp_development-release_7zip_aligned_signed.apk
//ANDROID_SDK=/Users/VCS/Library/Android/sdk redex /Users/VCS/Downloads/rexDex/BASF/in/app_development-release_aligned_signed.apk -o /Users/VCS/Downloads/rexDex/BASF/out/app_development-release_aligned_signed.apk
